HTMLEditorKit.HTMLTextAction (Java Platform SE 8 )
Keywords: javax.swing.text.html.HTMLEditorKit.HTMLTextAction class
Date: 2018-03-02

javax.swing.text.html

## Class HTMLEditorKit.HTMLTextAction

- java.lang.Object
- - javax.swing.AbstractAction
  - - javax.swing.text.TextAction
    - - javax.swing.text.StyledEditorKit.StyledTextAction
      - - javax.swing.text.html.HTMLEditorKit.HTMLTextAction

- All Implemented Interfaces:
    ActionListener, Serializable, Cloneable, EventListener, Action
  Direct Known Subclasses:
    HTMLEditorKit.InsertHTMLTextAction
  Enclosing class:
    HTMLEditorKit

      public abstract static class HTMLEditorKit.HTMLTextAction
      extends StyledEditorKit.StyledTextAction

  An abstract Action providing some convenience methods that may be useful in inserting HTML into an existing document.

  NOTE: None of the convenience methods obtain a lock on the document. If you have another thread modifying the text these methods may have inconsistent behavior, or return the wrong thing.

- - ### Field Summary

    - ### Fields inherited from class javax.swing.AbstractAction

      `changeSupport, enabled`

    - ### Fields inherited from interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTMLTextAction(String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `elementCountToTag(HTMLDocument doc, int offset, HTML.Tag tag)` Returns number of elements, starting at the deepest leaf, needed to get to an element representing `tag`.
    `protected Element` | `findElementMatchingTag(HTMLDocument doc, int offset, HTML.Tag tag)` Returns the deepest element at `offset` matching `tag`.
    `protected Element[]` | `getElementsAt(HTMLDocument doc, int offset)` Returns an array of the Elements that contain `offset`.
    `protected HTMLDocument` | `getHTMLDocument(JEditorPane e)`
    `protected HTMLEditorKit` | `getHTMLEditorKit(JEditorPane e)`

    - ### Methods inherited from class javax.swing.text.StyledEditorKit.StyledTextAction

      `getEditor, getStyledDocument, getStyledEditorKit, setCharacterAttributes, setParagraphAttributes`

    - ### Methods inherited from class javax.swing.text.TextAction

      `augmentList, getFocusedComponent, getTextComponent`

    - ### Methods inherited from class javax.swing.AbstractAction

      `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.awt.event.ActionListener

      `actionPerformed`

- - ### Constructor Detail

    - #### HTMLTextAction

          public HTMLTextAction(String name)

  - ### Method Detail

    - #### getHTMLDocument

          protected HTMLDocument getHTMLDocument(JEditorPane e)

      Returns:
        HTMLDocument of `e`.

    - #### getHTMLEditorKit

          protected HTMLEditorKit getHTMLEditorKit(JEditorPane e)

      Returns:
        HTMLEditorKit for `e`.

    - #### getElementsAt

          protected Element[] getElementsAt(HTMLDocument doc,
                                            int offset)

      Returns an array of the Elements that contain `offset`. The first elements corresponds to the root.

    - #### elementCountToTag

          protected int elementCountToTag(HTMLDocument doc,
                                          int offset,
                                          HTML.Tag tag)

      Returns number of elements, starting at the deepest leaf, needed to get to an element representing `tag`. This will return -1 if no elements is found representing `tag`, or 0 if the parent of the leaf at `offset` represents `tag`.

    - #### findElementMatchingTag

          protected Element findElementMatchingTag(HTMLDocument doc,
                                                   int offset,
                                                   HTML.Tag tag)

      Returns the deepest element at `offset` matching `tag`.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2018, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.